path: /build/build/neon-net-libs-0.30.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gnutls -kerberos -libproxy -libressl -pkcs11 expat nls ssl zlib" emerge net-libs/neon -pv -t && \
    USE="-gnutls -kerberos -libproxy -libressl -pkcs11 expat nls ssl zlib" emerge -j ${JOBS} --nodeps net-libs/neon
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/neon && luet-portage --dir /pkgdir/neon
    net-libs/neon && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9a3fbba2f3bface9028bc968cdfebd5f5a916316701998681c64b7ac0b6a1dee
  package:
    name: neon
    version: 0.30.2
    category: net-libs
    use_flags:
    - -gnutls
    - -kerberos
    - -libproxy
    - -libressl
    - -pkcs11
    - expat
    - nls
    - ssl
    - zlib
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: HTTP and WebDAV client library
    uri:
    - http://webdav.org/neon/
    license: GPL-2
    buildtimestamp: 2023-09-06 22:32:17.707913163 +0000 UTC m=+231.455199696
    labels:
      DEPEND: expat? ( dev-libs/expat:0=[-mgorny(-)] ) !expat? ( dev-libs/libxml2:2=[-mgorny(-)]
        ) gnutls? ( app-misc/ca-certificates net-libs/gnutls:0=[-mgorny(-)] pkcs11?
        ( dev-libs/pakchois:0=[-mgorny(-)] ) ) !gnutls? ( ssl? ( libressl? ( dev-libs/libressl:=[-mgorny(-)]
        ) !libressl? ( dev-libs/openssl:0=[-mgorny(-)] ) pkcs11? ( dev-libs/pakchois:0=[-mgorny(-)]
        ) ) ) kerberos? ( virtual/krb5:0=[-mgorny(-)] ) libproxy? ( net-libs/libproxy:0=[-mgorny(-)]
        ) nls? ( virtual/libintl:0=[-mgorny(-)] ) zlib? ( sys-libs/zlib:0=[-mgorny(-)]
        ) virtual/pkgconfig[-mgorny(-)] >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      IUSE: doc expat gnutls kerberos libproxy libressl nls pkcs11 ssl static-libs
        zlib abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: expat? ( dev-libs/expat:0=[-mgorny(-)] ) !expat? ( dev-libs/libxml2:2=[-mgorny(-)]
        ) gnutls? ( app-misc/ca-certificates net-libs/gnutls:0=[-mgorny(-)] pkcs11?
        ( dev-libs/pakchois:0=[-mgorny(-)] ) ) !gnutls? ( ssl? ( libressl? ( dev-libs/libressl:=[-mgorny(-)]
        ) !libressl? ( dev-libs/openssl:0=[-mgorny(-)] ) pkcs11? ( dev-libs/pakchois:0=[-mgorny(-)]
        ) ) ) kerberos? ( virtual/krb5:0=[-mgorny(-)] ) libproxy? ( net-libs/libproxy:0=[-mgorny(-)]
        ) nls? ( virtual/libintl:0=[-mgorny(-)] ) zlib? ( sys-libs/zlib:0=[-mgorny(-)]
        )
      emerge.packages: net-libs/neon
      kit: core-kit
      original.package.name: net-libs/neon
      original.package.slot: "0"
      original.package.version: 0.30.2
    treedir: /build/packages
  package_dir: /pkgdir/neon
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3125bb995300f271fc41753b9e0f4a41e4ef0e473961824bb14d7d182034d77f
compressiontype: zstd
files:
- usr/bin/neon-config
- usr/bin/x86_64-pc-linux-gnu-neon-config
- usr/include/neon/ne_207.h
- usr/include/neon/ne_acl.h
- usr/include/neon/ne_acl3744.h
- usr/include/neon/ne_alloc.h
- usr/include/neon/ne_auth.h
- usr/include/neon/ne_basic.h
- usr/include/neon/ne_compress.h
- usr/include/neon/ne_dates.h
- usr/include/neon/ne_defs.h
- usr/include/neon/ne_i18n.h
- usr/include/neon/ne_locks.h
- usr/include/neon/ne_md5.h
- usr/include/neon/ne_pkcs11.h
- usr/include/neon/ne_props.h
- usr/include/neon/ne_redirect.h
- usr/include/neon/ne_request.h
- usr/include/neon/ne_session.h
- usr/include/neon/ne_socket.h
- usr/include/neon/ne_ssl.h
- usr/include/neon/ne_string.h
- usr/include/neon/ne_uri.h
- usr/include/neon/ne_utils.h
- usr/include/neon/ne_xml.h
- usr/include/neon/ne_xmlreq.h
- usr/lib64/libneon.so
- usr/lib64/libneon.so.27
- usr/lib64/libneon.so.27.3.2
- usr/lib64/pkgconfig/neon.pc
- usr/share/doc/neon-0.30.2/AUTHORS.bz2
- usr/share/doc/neon-0.30.2/BUGS.bz2
- usr/share/doc/neon-0.30.2/NEWS.bz2
- usr/share/doc/neon-0.30.2/README.bz2
- usr/share/doc/neon-0.30.2/THANKS.bz2
- usr/share/doc/neon-0.30.2/TODO.bz2
- usr/share/locale/cs/LC_MESSAGES/neon.mo
- usr/share/locale/de/LC_MESSAGES/neon.mo
- usr/share/locale/fr/LC_MESSAGES/neon.mo
- usr/share/locale/ja/LC_MESSAGES/neon.mo
- usr/share/locale/nn/LC_MESSAGES/neon.mo
- usr/share/locale/pl/LC_MESSAGES/neon.mo
- usr/share/locale/ru/LC_MESSAGES/neon.mo
- usr/share/locale/tr/LC_MESSAGES/neon.mo
- usr/share/locale/zh_CN/LC_MESSAGES/neon.mo
- usr/share/man/man1/neon-config.1.bz2
- usr/share/man/man3/ne_add_request_header.3.bz2
- usr/share/man/man3/ne_addr_destroy.3
- usr/share/man/man3/ne_addr_error.3
- usr/share/man/man3/ne_addr_first.3
- usr/share/man/man3/ne_addr_next.3
- usr/share/man/man3/ne_addr_resolve.3.bz2
- usr/share/man/man3/ne_addr_result.3
- usr/share/man/man3/ne_buffer.3.bz2
- usr/share/man/man3/ne_buffer_altered.3
- usr/share/man/man3/ne_buffer_append.3.bz2
- usr/share/man/man3/ne_buffer_clear.3.bz2
- usr/share/man/man3/ne_buffer_concat.3
- usr/share/man/man3/ne_buffer_create.3.bz2
- usr/share/man/man3/ne_buffer_destroy.3.bz2
- usr/share/man/man3/ne_buffer_finish.3
- usr/share/man/man3/ne_buffer_grow.3
- usr/share/man/man3/ne_buffer_ncreate.3
- usr/share/man/man3/ne_buffer_zappend.3
- usr/share/man/man3/ne_calloc.3
- usr/share/man/man3/ne_close_connection.3
- usr/share/man/man3/ne_forget_auth.3
- usr/share/man/man3/ne_get_error.3.bz2
- usr/share/man/man3/ne_get_request_flag.3
- usr/share/man/man3/ne_get_response_header.3.bz2
- usr/share/man/man3/ne_get_scheme.3
- usr/share/man/man3/ne_get_server_hostport.3
- usr/share/man/man3/ne_get_session_flag.3
- usr/share/man/man3/ne_get_status.3.bz2
- usr/share/man/man3/ne_has_support.3.bz2
- usr/share/man/man3/ne_i18n_init.3.bz2
- usr/share/man/man3/ne_iaddr_cmp.3
- usr/share/man/man3/ne_iaddr_free.3
- usr/share/man/man3/ne_iaddr_make.3.bz2
- usr/share/man/man3/ne_iaddr_parse.3
- usr/share/man/man3/ne_iaddr_print.3
- usr/share/man/man3/ne_iaddr_raw.3
- usr/share/man/man3/ne_iaddr_reverse.3
- usr/share/man/man3/ne_iaddr_typeof.3
- usr/share/man/man3/ne_malloc.3.bz2
- usr/share/man/man3/ne_oom_callback.3
- usr/share/man/man3/ne_print_request_header.3
- usr/share/man/man3/ne_qtoken.3
- usr/share/man/man3/ne_realloc.3
- usr/share/man/man3/ne_request_create.3.bz2
- usr/share/man/man3/ne_request_destroy.3
- usr/share/man/man3/ne_request_dispatch.3
- usr/share/man/man3/ne_response_header_iterate.3
- usr/share/man/man3/ne_session_create.3.bz2
- usr/share/man/man3/ne_session_destroy.3
- usr/share/man/man3/ne_session_proxy.3.bz2
- usr/share/man/man3/ne_session_socks_proxy.3
- usr/share/man/man3/ne_session_system_proxy.3
- usr/share/man/man3/ne_set_addrlist.3
- usr/share/man/man3/ne_set_connect_timeout.3
- usr/share/man/man3/ne_set_error.3
- usr/share/man/man3/ne_set_proxy_auth.3
- usr/share/man/man3/ne_set_read_timeout.3
- usr/share/man/man3/ne_set_request_body_buffer.3.bz2
- usr/share/man/man3/ne_set_request_body_fd.3
- usr/share/man/man3/ne_set_request_flag.3.bz2
- usr/share/man/man3/ne_set_server_auth.3.bz2
- usr/share/man/man3/ne_set_session_flag.3.bz2
- usr/share/man/man3/ne_set_useragent.3.bz2
- usr/share/man/man3/ne_shave.3.bz2
- usr/share/man/man3/ne_sock_exit.3
- usr/share/man/man3/ne_sock_init.3.bz2
- usr/share/man/man3/ne_ssl_cert_cmp.3.bz2
- usr/share/man/man3/ne_ssl_cert_export.3
- usr/share/man/man3/ne_ssl_cert_free.3
- usr/share/man/man3/ne_ssl_cert_identity.3.bz2
- usr/share/man/man3/ne_ssl_cert_import.3
- usr/share/man/man3/ne_ssl_cert_issuer.3
- usr/share/man/man3/ne_ssl_cert_read.3.bz2
- usr/share/man/man3/ne_ssl_cert_signedby.3
- usr/share/man/man3/ne_ssl_cert_subject.3
- usr/share/man/man3/ne_ssl_cert_write.3
- usr/share/man/man3/ne_ssl_clicert_decrypt.3
- usr/share/man/man3/ne_ssl_clicert_encrypted.3
- usr/share/man/man3/ne_ssl_clicert_free.3
- usr/share/man/man3/ne_ssl_clicert_name.3
- usr/share/man/man3/ne_ssl_clicert_owner.3
- usr/share/man/man3/ne_ssl_clicert_read.3.bz2
- usr/share/man/man3/ne_ssl_dname_cmp.3
- usr/share/man/man3/ne_ssl_readable_dname.3.bz2
- usr/share/man/man3/ne_ssl_set_verify.3.bz2
- usr/share/man/man3/ne_ssl_trust_cert.3.bz2
- usr/share/man/man3/ne_ssl_trust_default_ca.3
- usr/share/man/man3/ne_status.3.bz2
- usr/share/man/man3/ne_strdup.3
- usr/share/man/man3/ne_strndup.3
- usr/share/man/man3/ne_token.3.bz2
- usr/share/man/man3/ne_version_match.3.bz2
- usr/share/man/man3/ne_version_string.3
- usr/share/man/man3/ne_xml_create.3.bz2
- usr/share/man/man3/ne_xml_destroy.3
- usr/share/man/man3/neon.3.bz2
- var/db/pkg/net-libs/neon-0.30.2/BUILD_TIME
- var/db/pkg/net-libs/neon-0.30.2/CATEGORY
- var/db/pkg/net-libs/neon-0.30.2/CBUILD
- var/db/pkg/net-libs/neon-0.30.2/CFLAGS
- var/db/pkg/net-libs/neon-0.30.2/CHOST
- var/db/pkg/net-libs/neon-0.30.2/CONTENTS
- var/db/pkg/net-libs/neon-0.30.2/COUNTER
- var/db/pkg/net-libs/neon-0.30.2/CXXFLAGS
- var/db/pkg/net-libs/neon-0.30.2/DEFINED_PHASES
- var/db/pkg/net-libs/neon-0.30.2/DEPEND
- var/db/pkg/net-libs/neon-0.30.2/DESCRIPTION
- var/db/pkg/net-libs/neon-0.30.2/EAPI
- var/db/pkg/net-libs/neon-0.30.2/FEATURES
- var/db/pkg/net-libs/neon-0.30.2/HOMEPAGE
- var/db/pkg/net-libs/neon-0.30.2/INHERITED
- var/db/pkg/net-libs/neon-0.30.2/IUSE
- var/db/pkg/net-libs/neon-0.30.2/IUSE_EFFECTIVE
- var/db/pkg/net-libs/neon-0.30.2/KEYWORDS
- var/db/pkg/net-libs/neon-0.30.2/LDFLAGS
- var/db/pkg/net-libs/neon-0.30.2/LICENSE
- var/db/pkg/net-libs/neon-0.30.2/NEEDED
- var/db/pkg/net-libs/neon-0.30.2/PF
- var/db/pkg/net-libs/neon-0.30.2/PROVIDES
- var/db/pkg/net-libs/neon-0.30.2/RDEPEND
- var/db/pkg/net-libs/neon-0.30.2/REQUIRES
- var/db/pkg/net-libs/neon-0.30.2/RESTRICT
- var/db/pkg/net-libs/neon-0.30.2/SIZE
- var/db/pkg/net-libs/neon-0.30.2/SLOT
- var/db/pkg/net-libs/neon-0.30.2/USE
- var/db/pkg/net-libs/neon-0.30.2/environment.bz2
- var/db/pkg/net-libs/neon-0.30.2/neon-0.30.2.ebuild
- var/db/pkg/net-libs/neon-0.30.2/repository
package_cacheimage: ""
runtime:
  name: neon
  version: 0.30.2
  category: net-libs
  use_flags:
  - -gnutls
  - -kerberos
  - -libproxy
  - -libressl
  - -pkcs11
  - expat
  - nls
  - ssl
  - zlib
  requires:
  - name: expat
    version: '>=0'
    category: dev-libs
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: HTTP and WebDAV client library
  uri:
  - http://webdav.org/neon/
  license: GPL-2
  labels:
    DEPEND: expat? ( dev-libs/expat:0=[-mgorny(-)] ) !expat? ( dev-libs/libxml2:2=[-mgorny(-)]
      ) gnutls? ( app-misc/ca-certificates net-libs/gnutls:0=[-mgorny(-)] pkcs11?
      ( dev-libs/pakchois:0=[-mgorny(-)] ) ) !gnutls? ( ssl? ( libressl? ( dev-libs/libressl:=[-mgorny(-)]
      ) !libressl? ( dev-libs/openssl:0=[-mgorny(-)] ) pkcs11? ( dev-libs/pakchois:0=[-mgorny(-)]
      ) ) ) kerberos? ( virtual/krb5:0=[-mgorny(-)] ) libproxy? ( net-libs/libproxy:0=[-mgorny(-)]
      ) nls? ( virtual/libintl:0=[-mgorny(-)] ) zlib? ( sys-libs/zlib:0=[-mgorny(-)]
      ) virtual/pkgconfig[-mgorny(-)] >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    IUSE: doc expat gnutls kerberos libproxy libressl nls pkcs11 ssl static-libs zlib
      abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
      abi_s390_64
    RDEPEND: expat? ( dev-libs/expat:0=[-mgorny(-)] ) !expat? ( dev-libs/libxml2:2=[-mgorny(-)]
      ) gnutls? ( app-misc/ca-certificates net-libs/gnutls:0=[-mgorny(-)] pkcs11?
      ( dev-libs/pakchois:0=[-mgorny(-)] ) ) !gnutls? ( ssl? ( libressl? ( dev-libs/libressl:=[-mgorny(-)]
      ) !libressl? ( dev-libs/openssl:0=[-mgorny(-)] ) pkcs11? ( dev-libs/pakchois:0=[-mgorny(-)]
      ) ) ) kerberos? ( virtual/krb5:0=[-mgorny(-)] ) libproxy? ( net-libs/libproxy:0=[-mgorny(-)]
      ) nls? ( virtual/libintl:0=[-mgorny(-)] ) zlib? ( sys-libs/zlib:0=[-mgorny(-)]
      )
    emerge.packages: net-libs/neon
    kit: core-kit
    original.package.name: net-libs/neon
    original.package.slot: "0"
    original.package.version: 0.30.2
